News - PHPBoost

Fin de PHP 4, en route pour PHP5

Par , le dans PHPBoost - 5 Commentaires
Comme vous le savez surement déjà, cela se devine sinon, PHPBoost est programmé en... PHP. La version requise pour PHPBoost 2.0 et la version à venir la 2.1 est PHP 4.3.

Le 07 Août le support de PHP4 est définitivement terminé avec la sortie de la dernière mise à jour de la branche 4.4.x, la 4.4.9. Cela veut dire qu'il est désormais grand temps de se tourner vers l'avenir, sachant que PHP 5 est disponible depuis 4 ans déjà!

Qu'est-ce que cela change pour PHPBoost?



PHP 5 apporte des nouveautés très intéressantes pour nous, et notamment au niveau de la programmation orientée objet. En effet nous avons fait le choix de développer en objet afin d'avoir un projet très structuré. La version 2.1 marque un tournant, notamment par une forte approche objet (mais qui reste à poursuivre).

Cependant nous sommes limités dans son utilisation à cause de la compatibilité descendante requise avec PHP4. Nous avons donc décidé que la prochaine mise à jour du noyau (après la 2.1) ne supportera plus PHP4, afin de nous donner tous les nouveaux outils de PHP5. La plupart des hébergeurs sont déjà passés sur la nouvelle mouture de PHP, ou devrait le faire d'ici la sortie du nouveau noyau. Pour vous cela ne devrait donc rien changer, sauf pour les hébergeurs les plus anciens ne faisant pas leur mise à jour.


A noter la sortie d'un article présentant le nouveau gestionnaire de base de données de la future version de PHPBoost la 2.1: Gestionnaire de base de données